Bug 14130 - Update columns.def with descriptions for new columns
Summary: Update columns.def with descriptions for new columns
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-03 17:24 UTC by Katrin Fischer
Modified: 2016-06-21 21:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14130: Update columns.def (3.28 KB, patch)
2015-05-04 20:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14130: Update columns.def (3.38 KB, patch)
2015-05-11 19:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14130: Update columns.def (3.49 KB, patch)
2015-05-22 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-03 17:24:58 UTC
The file koha-tmpl/intranet-tmpl/prog/en/columns.def needs to be updated to include descriptions for the newly added database columns.

To test:
- Go to reports > Build new
- Go to step 3

The list of tables will be different depending on the module you select.
Comment 1 Katrin Fischer 2015-05-04 20:09:50 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-05-04 20:10:24 UTC
Not a complete patch, but hopefully a first improvement :)
Comment 3 Bernardo Gonzalez Kriegel 2015-05-11 19:41:51 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-05-22 14:45:32 UTC
Created attachment 39421 [details] [review]
Bug 14130: Update columns.def

- Updates columns.def with new columns in items
- Adds some descriptions
- Corrects some existing column descrpitions

To test:
- Read the patch to see what has been changed
- Run the guided report builder for the 'circulation'
  module
- Observe changes show up

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Changes show up, no errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-05-22 20:10:11 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-05-27 04:06:18 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 7 Liz Rea 2015-06-22 22:35:14 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 8 Mason James 2015-07-25 04:19:26 UTC
Patch pushed to 3.16.x will be in 3.16.13